Bug 58679 - kmail crashes with a folder called "new"
Summary: kmail crashes with a folder called "new"
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-05-19 14:00 UTC by Toby Dickenson
Modified: 2007-09-14 12:17 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Toby Dickenson 2003-05-19 14:00:40 UTC
Version:            (using KDE KDE 3.1.1a)
Installed from:    Gentoo Packages

1. create new top-level folder called "test"
2. create a new subfolder called "new" inside "test". kmail creates a directory Mail/.test.directory to hold it
3. restart kmail, and it crashes
4. rm -rf .test.directory/new/
5. restart kmail, and it does not crash

I guess kmail is confusing the .test.directory holding directory for a maildir mailbox because it has a subdirectory called "new"
Comment 1 Stephan Kulow 2003-05-19 17:15:50 UTC
KMFolderDir::reload(void) seems to be the one picked .test.directory as Maildir folder. 
 
The crash is then because the error tries to update a status bar that isn't there yet. 
 
Comment 2 Ingo Klöcker 2003-05-25 17:43:51 UTC
Subject: Re:  New: kmail crashes with a folder called "new"

Thanks for the bug report. Will be fixed in KMail 1.5.3.